com.dlsc.flexgantt.policy.gantt

## Class AbstractStatusBarPolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.gantt.AbstractStatusBarPolicy

- All Implemented Interfaces:
    IStatusBarPolicy, IPolicy
  Direct Known Subclasses:
    SimpleGranularityStatusBarPolicy, TimeGranularityStatusBarPolicy

      public abstract class AbstractStatusBarPolicy
      extends AbstractPolicy
      implements IStatusBarPolicy

  An abstract implementation of the status bar policy, which provides support for handling the list of visible status bar fields.
  Since:
    1.0
  Version:
    $Revision: 1.2 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractStatusBarPolicy()` Constructs a new status bar policy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatusBarFields(StatusBarField... fields)` Adds one or more status bar fields to the list of visible fields.
    `boolean` | `isStatusBarFieldVisible(StatusBarField field)` Determines whether the given status bar field is visible in the Gantt chart status bar or not.
    `void` | `removeStatusBarFields(StatusBarField... fields)` Removes one or more status bar fields from the list of visible fields.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.policy.gantt.IStatusBarPolicy

      `getTimeNowString, getTimeSpanString, getTimeString`

- - ### Constructor Detail

    - #### AbstractStatusBarPolicy

          protected AbstractStatusBarPolicy()

      Constructs a new status bar policy.
      Since:
        1.0

  - ### Method Detail

    - #### addStatusBarFields

          public void addStatusBarFields(StatusBarField... fields)

      Adds one or more status bar fields to the list of visible fields.
      Parameters:
        `fields` -
      Since:
        1.0

    - #### removeStatusBarFields

          public void removeStatusBarFields(StatusBarField... fields)

      Removes one or more status bar fields from the list of visible fields.
      Parameters:
        `fields` -
      Since:
        1.0

    - #### isStatusBarFieldVisible

          public boolean isStatusBarFieldVisible(StatusBarField field)

      Description copied from interface: `IStatusBarPolicy`
      Determines whether the given status bar field is visible in the Gantt chart status bar or not.
      Specified by:
        `isStatusBarFieldVisible` in interface `IStatusBarPolicy`
      Parameters:
        `field` - the field to check for visibility
      Returns:
        TRUE if the given field is visible

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.